<template>
    <div class="container-fluid auth-form">
        <div class="d-flex justify-content-center login">
            <div class="card login-card">
                <div class="card-header text-white">
                    <h3>Sign In</h3>
                </div>
                <div class="card-body">
                    <el-form :model="loginForm" status-icon :rules="rules" ref="loginForm">
                        <el-form-item prop="email">
                            <el-input type="email" v-model="loginForm.email" autocomplete="off" placeholder="user@example.com">
                                <template slot="prepend"><i class="fas fa-envelope"></i></template>
                            </el-input>
                        </el-form-item>
                        <el-form-item prop="password">
                            <el-input type="password" v-model="loginForm.password" autocomplete="off" placeholder="Password">
                                <template slot="prepend"><i class="fas fa-key"></i></template>
                            </el-input>
                        </el-form-item>
                        <el-form-item class="mb-0">
                            <button class="btn float-right login_btn" @click="login('loginForm')">Login</button>
                        </el-form-item>
                    </el-form>
                </div>
                <div class="card-footer">
                    <div class="d-flex justify-content-center links">
                        Don't have an account?
                        <router-link :to="{ path : 'register'}">Sign Up</router-link>
                    </div>
                    <div class="d-flex justify-content-center">
                        <a href="#">Forgot your password?</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<style>
    .el-form {
        width: 95%!important;
        margin: auto;
    }
    .el-input-group__prepend {
        background: #42b883;
        border: none; 
    }
    .el-input-group__prepend i {
        color: #fff;
    }
</style>

<script>
export default {
    data(){
        return {
            loginForm: {
                email: null,
                password: null,
                error: false,
            },
            rules: {
                    email: [
                        { required: true, message: 'Please input email address', trigger: 'blur' },
                        { type: 'email', message: 'Please input correct email address', trigger: ['blur', 'change'] }
                    ],
                    password: [
                        { required: true, message: 'Please input passowrd', trigger: 'blur' }
                    ],
                },
        }
    },
    methods: {
        login(formName){
                this.$refs[formName].validate((valid) => {
                    if (valid) {
                        this.$auth.login({
                            data: {
                                email: this.loginForm.email,
                                password: this.loginForm.password,
                            },
                            success: function () {
                                this.$message({
                                    type: 'success',
                                    message: 'Login Successful',
                                });
                                // this.$router.push( '/' );
                                window.location= '/' ;
                            },
                            error: function (resp) {
                                this.$message({
                                    type: 'error',
                                    message: resp.response.data.msg,
                                });
                               this.$refs[formName].resetFields();
                            },
                            redirect: '/',
                            fetchUser: true,
                        })
                    } else {
                        this.$message({
                            type: 'warning',
                            message: 'Please check and input correct fields!',
                        });
                        return false;
                    }
                });
            }
    },
}
</script>

